/*
 * sparkonto.h
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#ifndef _SPARKONTO_H_
#define _SPARKONTO_H_

#include <iostream>
#include "konto.h"

using namespace std;

// Die Klasse 'Sparkonto' erweitert 'Konto' um einen Zinssatz
class Sparkonto : public Konto
{
public:

	// Konstruktor erwartet nun (optional) ein weiteres Arguments
	Sparkonto(string name, long nummer, double betrag, double zins=0.0)
	: Konto (name, nummer, betrag), zinssatz(zins) {}

	// 'Ueberschreibe' (virtuelle) Funktionen zur Ein-/Auszahlung
	void einzahlen(double betrag);
	void auszahlen(double betrag);

	// Methoden zum Setzen und Lesen des Zinssatzes
	inline void set_zinssatz(double r) { zinssatz = r;}
	inline double get_zinssatz() { return zinssatz;}

protected:
	// Zinssatz
	double zinssatz;

	// Ausagbe: Eintrag ins Sparbuch (nicht oeffentlich!)
	void erzeuge_eintrag(double betrag);

};

#endif /* _SPARKONTO_H_ */
